Support » Plugin: Enable jQuery Migrate Helper » Admin side locked. Need help understanding the error –

  • Resolved mawelch

    (@mawelch)


    I just started managing a WordPress site created in Genesis. The host uses version control on GitHub. On the local site, JQuery Migrate Helper was deactivated. It is activated on the Master. I just pushed some updated plugins (no conflict in staging) and I got an error message on the Master. The backend is now locked. I don’t fully understand the error message. Any help or ideas are appreciated.

    Fatal error: Uncaught Error: Call to undefined function is_wp_version_compatible()
        in /home/apfunders/webapps/funders_production/wp-content/plugins/enable-jquery-migrate- 
        helper/templates/admin-notices/no-longer-needed.php on line 26 
    
        Call stack:
    
         include_once()
         wp-content/plugins/enable-jquery-migrate-helper/class-jquery-migrate-helper.php:542
         jQuery_Migrate_Helper::plugin_obsolete_message()
         wp-content/plugins/enable-jquery-migrate-helper/class-jquery-migrate-helper.php:552
         jQuery_Migrate_Helper::admin_notices()
         wp-includes/class-wp-hook.php:286
         WP_Hook::apply_filters()
         wp-includes/class-wp-hook.php:310
         WP_Hook::do_action()
         wp-includes/plugin.php:453
         do_action()
         wp-admin/admin-header.php:255
         require_once()
         wp-admin/admin.php:216
         require_once()
         wp-admin/tools.php:10
    • This topic was modified 2 months, 2 weeks ago by mawelch.
Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Marius L. J.

    (@clorith)

    Hiya,

    The is_wp_version_compatible function has been built into WordPress since version 5.2.0 (this plugin required WordPress 5.4.0 or later). It sounds like you are including this plugin in a site that’s version controlled to an older version of WordPress it self.

    Thread Starter mawelch

    (@mawelch)

    Thanks. It is running on an older version.
    I’ll look into that.

Viewing 2 replies - 1 through 2 (of 2 total)
  • You must be logged in to reply to this topic.